In <commandglue.js>, "Warning: redeclaration of var i" and "Warning: assignment to undeclared variable node"

RESOLVED FIXED in mozilla1.8alpha6

Status

SeaMonkey
MailNews: Message Display
--
trivial
RESOLVED FIXED
13 years ago
11 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

Trunk
mozilla1.8alpha6
Bug Flags:
blocking1.8b -

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 4 obsolete attachments)

(Assignee)

Description

13 years ago
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8a4) Gecko/20040927] (release) (W98SE)

{{
Warning: redeclaration of var i
Source File: chrome://messenger/content/commandglue.js
Line: 1124, Column: 13
Source Code:
    for (var i = 0; i < termsArray.Count(); i++)
}}
(Assignee)

Comment 1

13 years ago
Created attachment 161078 [details] [diff] [review]
(Av1-MAS) <commandglue.js> [Checked in: Comment 4]
Assignee: sspitzer → gautheri
Status: NEW → ASSIGNED
(Assignee)

Updated

13 years ago
Attachment #161078 - Flags: superreview?(bienvenu)
Attachment #161078 - Flags: review?(bienvenu)

Updated

13 years ago
Attachment #161078 - Flags: superreview?(bienvenu)
Attachment #161078 - Flags: superreview+
Attachment #161078 - Flags: review?(bienvenu)
Attachment #161078 - Flags: review+

Updated

13 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → FIXED

Comment 2

13 years ago
Why the strange indentation? :-(
(Assignee)

Comment 3

13 years ago
(In reply to comment #2)
> Why the strange indentation? :-(

Moving toward "2 characters" (not 4) indentation...
(Assignee)

Comment 4

13 years ago
Comment on attachment 161078 [details] [diff] [review]
(Av1-MAS) <commandglue.js> [Checked in: Comment 4]


Check in: { 2004-10-04 20:26	bienvenu%nventure.com	mozilla/ mailnews/
base/ resources/ content/ commandglue.js     1.243 }
Attachment #161078 - Attachment description: (Av1) <commandglue.js> (SeaMonkey part) → (Av1) <commandglue.js> (SeaMonkey part) [Checked in: Comment 4]
Attachment #161078 - Attachment is obsolete: true
(Assignee)

Updated

13 years ago
Target Milestone: --- → mozilla1.8alpha5
(Assignee)

Comment 5

13 years ago
Created attachment 161207 [details] [diff] [review]
(Bv1-TB) <commandglue.js>
(Assignee)

Updated

13 years ago
Attachment #161207 - Flags: superreview?(bienvenu)
Attachment #161207 - Flags: review?(bienvenu)

Comment 6

13 years ago
(In reply to comment #3)
> (In reply to comment #2)
> > Why the strange indentation? :-(
> 
> Moving toward "2 characters" (not 4) indentation...

I don't think this should be done this way. You only make things worse, because
now there is inconsistent indentation even inside the span of a single function.

IMHO one should either reindent the whole function or just leave the identation
as it is (probably better in this case, because you only need to change a few
lines to fix this bug and reindenting the whole rest would make cvs blame less
useful).
(Assignee)

Comment 7

13 years ago
Another warning:
{{
Warning: assignment to undeclared variable node
Source File: chrome://messenger/content/commandglue.js
Line: 742
}}
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Summary: In <commandglue.js>, "Warning: redeclaration of var i" → In <commandglue.js>, "Warning: redeclaration of var i" and "Warning: assignment to undeclared variable node"
(Assignee)

Comment 8

13 years ago
Created attachment 161657 [details] [diff] [review]
(Cv1-MAS) <commandglue.js>
[Checked in: Comment 14]
(Assignee)

Updated

13 years ago
Attachment #161657 - Flags: superreview?(bienvenu)
Attachment #161657 - Flags: review?(bienvenu)
(Assignee)

Comment 9

13 years ago
David:
Could we have this one r&sr and checked in for v1.8a5 ?
Product: Browser → Seamonkey
(Assignee)

Updated

13 years ago
Target Milestone: mozilla1.8alpha5 → mozilla1.8alpha6

Comment 10

13 years ago
Comment on attachment 161657 [details] [diff] [review]
(Cv1-MAS) <commandglue.js>
[Checked in: Comment 14]

My fault :-[ Sorry for letting this slip in.
Attachment #161657 - Flags: review?(bienvenu) → review+
(Assignee)

Updated

13 years ago
Flags: blocking1.8b?

Comment 11

13 years ago
Serge, we are never going to block a release because of a js warning. Please
only use the blocking nomination flag if you genuinely believe that the problem
is severe enough to block the shipping of that particular release.
Flags: blocking1.8b? → blocking1.8b-
(Assignee)

Comment 12

13 years ago
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b) Gecko/20050212] (nightly) (W98SE)

(New line number:)
{{
Warning: assignment to undeclared variable node
Source File: chrome://messenger/content/commandglue.js
Line: 761
}}

Updated

13 years ago
Attachment #161657 - Flags: superreview?(bienvenu) → superreview+
(Assignee)

Updated

13 years ago
Attachment #161657 - Attachment description: (Cv1) <commandglue.js> (SeaMonkey part) → (Cv1-MAS) <commandglue.js>
Attachment #161657 - Flags: approval1.8b?
Comment on attachment 161657 [details] [diff] [review]
(Cv1-MAS) <commandglue.js>
[Checked in: Comment 14]

a=caillon for 1.8b
Attachment #161657 - Flags: approval1.8b? → approval1.8b+
(Assignee)

Comment 14

13 years ago
Comment on attachment 161657 [details] [diff] [review]
(Cv1-MAS) <commandglue.js>
[Checked in: Comment 14]


Check in: { 2005-02-14 16:13	neil%parkwaycc.co.uk	mozilla/ mailnews/
base/ resources/ content/ commandglue.js     1.254 }
Attachment #161657 - Attachment description: (Cv1-MAS) <commandglue.js> → (Cv1-MAS) <commandglue.js> [Checked in: Comment 14]
Attachment #161657 - Attachment is obsolete: true
(Assignee)

Comment 15

13 years ago
Comment on attachment 161207 [details] [diff] [review]
(Bv1-TB) <commandglue.js>

[Mozilla Thunderbird, version 1.0.1 (20050309)] (nightly) (W98SE)

No super-review from <bienvenu@nventure.com> since "2004-10-05" :-(

Could you (super-)review/check in this patch ? Thanks.
Attachment #161207 - Attachment description: (Bv1) <commandglue.js> (Toolkit part) → (Bv1-TB) <commandglue.js>
Attachment #161207 - Flags: superreview?(mscott)
Attachment #161207 - Flags: superreview?(bienvenu)
Attachment #161207 - Flags: review?(mscott)
Attachment #161207 - Flags: review?(bienvenu)
(Assignee)

Comment 16

13 years ago
Created attachment 177963 [details] [diff] [review]
(Bv1a-TB) <commandglue.js>

Bv1, plus a nit fix.

[Mozilla Thunderbird, version 1.0+ (20050319)] (nightly) (W98SE)

Could you review/check in this patch ? Thanks.
Attachment #161207 - Attachment is obsolete: true
Attachment #177963 - Flags: review?(mscott)
(Assignee)

Updated

13 years ago
Attachment #161207 - Flags: superreview?(mscott)
Attachment #161207 - Flags: review?(mscott)
(Assignee)

Updated

13 years ago
Attachment #177963 - Flags: review?(mscott)
(Assignee)

Updated

13 years ago
Attachment #161078 - Attachment description: (Av1) <commandglue.js> (SeaMonkey part) [Checked in: Comment 4] → (Av1-MAS) <commandglue.js> [Checked in: Comment 4]
(Assignee)

Comment 17

13 years ago
Created attachment 177964 [details] [diff] [review]
(Bv1b-TB) <commandglue.js>
[Checkin: Comment 18]

Bv1a-TB, plus (forgotten) Cv1-MAS port.

[Mozilla Thunderbird, version 1.0+ (20050319)] (nightly) (W98SE)

Could you review/check in this patch ? Thanks.
Attachment #177963 - Attachment is obsolete: true
Attachment #177964 - Flags: review?(mscott)

Updated

11 years ago
Attachment #177964 - Flags: review?(mscott) → review+
(Assignee)

Comment 18

11 years ago
Comment on attachment 177964 [details] [diff] [review]
(Bv1b-TB) <commandglue.js>
[Checkin: Comment 18]


Checkin: {
2007-04-27 05:33	bugzilla%standard8.demon.co.uk 	mozilla/mail/base/content/commandglue.js 	1.76
}
Attachment #177964 - Attachment description: (Bv1b-TB) <commandglue.js> → (Bv1b-TB) <commandglue.js> [Checkin: Comment 18]
(Assignee)

Updated

11 years ago
Status: REOPENED → RESOLVED
Last Resolved: 13 years ago11 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.